Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056425 - aqbanking doesn't build qbanking on epel6
Summary: aqbanking doesn't build qbanking on epel6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gnucash
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 08:20 UTC by Tuomo Soini
Modified: 2014-03-17 03:34 UTC (History)
4 users (show)

Fixed In Version: gwenhywfar-4.9.0-0.2.beta.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-18 23:01:14 UTC


Attachments (Terms of Use)

Description Tuomo Soini 2014-01-22 08:20:24 UTC
Description of problem:

package: gnucash-2.4.15-1.el6.x86_64 from epel-testing
  unresolved deps: 
     qbanking

aqbanking 5.3.2-0.1.beta.el6 doesn't provide qbanking while gnucash still requires it on epel6 - Not sure if I file this bug to correct component - it's as possible this should be gnucash bug and it shouldn't require qbanking any more.

Comment 1 Rex Dieter 2014-01-22 13:49:02 UTC
Probably gnucash, it's .spec contains the conditional:

%if 0%{?fedora} <= 14 && 0%{?rhel} <= 6
# for HBCI setup wizard
Requires: qbanking
%endif

which does (still) hit epel6

Comment 2 Bill Nottingham 2014-01-22 14:25:06 UTC
Right, the aqbanking update made this obsolete. New update building...

Comment 3 Fedora Update System 2014-01-22 14:56:51 UTC
gwenhywfar-4.9.0-0.2.beta.el6, aqbanking-5.3.2-0.1.beta.el6, gnucash-2.4.15-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0232/gwenhywfar-4.9.0-0.2.beta.el6,aqbanking-5.3.2-0.1.beta.el6,gnucash-2.4.15-2.el6

Comment 4 Fedora Update System 2014-01-22 21:21:53 UTC
Package gwenhywfar-4.9.0-0.2.beta.el6, aqbanking-5.3.2-0.1.beta.el6, gnucash-2.4.15-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gwenhywfar-4.9.0-0.2.beta.el6 aqbanking-5.3.2-0.1.beta.el6 gnucash-2.4.15-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0232/gwenhywfar-4.9.0-0.2.beta.el6,aqbanking-5.3.2-0.1.beta.el6,gnucash-2.4.15-2.el6
then log in and leave karma (feedback).

Comment 5 rn 2014-01-23 08:37:06 UTC
OK, dependency regarding qbanking is gone, but required versions of libgwenhywfar and libaqbanking are still the old ones:
--> Running transaction check
---> Package aqbanking.x86_64 0:4.2.4-4.el6 will be updated
--> Processing Dependency: libaqbanking.so.29()(64bit) for package: gnucash-2.4.15-2.el6.x86_64
---> Package aqbanking.x86_64 0:5.3.2-0.1.beta.el6 will be obsoleting
---> Package gnucash.x86_64 0:2.4.13-1.el6 will be updated
---> Package gnucash.x86_64 0:2.4.15-2.el6 will be an update
---> Package gwenhywfar.x86_64 0:3.11.3-2.el6 will be updated
--> Processing Dependency: libgwenhywfar.so.47()(64bit) for package: gnucash-2.4.15-2.el6.x86_64
---> Package gwenhywfar.x86_64 0:4.9.0-0.2.beta.el6 will be an update
---> Package qbanking.x86_64 0:4.2.4-4.el6 will be obsoleted
--> Finished Dependency Resolution
Error: Package: gnucash-2.4.15-2.el6.x86_64 (epel-testing)
           Requires: libaqbanking.so.29()(64bit)
           Removing: aqbanking-4.2.4-4.el6.x86_64 (@epel)
               libaqbanking.so.29()(64bit)
           Updated By: aqbanking-5.3.2-0.1.beta.el6.x86_64 (epel-testing)
               Not found
Error: Package: gnucash-2.4.15-2.el6.x86_64 (epel-testing)
           Requires: libgwenhywfar.so.47()(64bit)
           Removing: gwenhywfar-3.11.3-2.el6.x86_64 (@epel)
               libgwenhywfar.so.47()(64bit)
           Updated By: gwenhywfar-4.9.0-0.2.beta.el6.x86_64 (epel-testing)
               Not found

Comment 6 Bill Nottingham 2014-01-23 15:09:43 UTC
Ugh, build override auto-expiry. Sorry about that.

Comment 7 Fedora Update System 2014-01-23 20:14:16 UTC
Package gwenhywfar-4.9.0-0.2.beta.el6, aqbanking-5.3.2-0.1.beta.el6, gnucash-2.4.15-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gwenhywfar-4.9.0-0.2.beta.el6 aqbanking-5.3.2-0.1.beta.el6 gnucash-2.4.15-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0232/gwenhywfar-4.9.0-0.2.beta.el6,aqbanking-5.3.2-0.1.beta.el6,gnucash-2.4.15-3.el6
then log in and leave karma (feedback).

Comment 8 rn 2014-01-24 08:44:55 UTC
great: update worked fine now, program looks good

Comment 9 Fedora Update System 2014-01-28 21:07:14 UTC
Package gwenhywfar-4.9.0-0.2.beta.el6, aqbanking-5.3.2-0.1.beta.el6, gnucash-2.4.15-3.el6, gnucash-docs-2.4.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gwenhywfar-4.9.0-0.2.beta.el6 aqbanking-5.3.2-0.1.beta.el6 gnucash-2.4.15-3.el6 gnucash-docs-2.4.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0232/gwenhywfar-4.9.0-0.2.beta.el6,aqbanking-5.3.2-0.1.beta.el6,gnucash-2.4.15-3.el6,gnucash-docs-2.4.3-1.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-02-02 19:50:21 UTC
Package gwenhywfar-4.9.0-0.2.beta.el6, aqbanking-5.3.2-0.1.beta.el6, gnucash-2.4.15-3.el6, gnucash-docs-2.4.3-1.el6, ktoblzcheck-1.44-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gwenhywfar-4.9.0-0.2.beta.el6 aqbanking-5.3.2-0.1.beta.el6 gnucash-2.4.15-3.el6 gnucash-docs-2.4.3-1.el6 ktoblzcheck-1.44-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0232/gwenhywfar-4.9.0-0.2.beta.el6,aqbanking-5.3.2-0.1.beta.el6,gnucash-2.4.15-3.el6,gnucash-docs-2.4.3-1.el6,ktoblzcheck-1.44-1.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-02-18 23:01:14 UTC
gwenhywfar-4.9.0-0.2.beta.el6, aqbanking-5.3.2-0.1.beta.el6, gnucash-2.4.15-3.el6, gnucash-docs-2.4.3-1.el6, ktoblzcheck-1.44-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.